## kf5-messagelib 18.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.10.3")

if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

project(Messagelib VERSION ${PIM_VERSION})

option(MIMETREEPARSER_ONLY_BUILD "Build only mimetreeparser" FALSE)
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

option(DKIM_CHECKER_BUILD "DKIM CHECKER (experimental)" FALSE)

set(KF5_VERSION "5.51.0")


set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.10.3")

set(QT_REQUIRED_VERSION "5.9.0")

set(AKONADI_VERSION "5.10.3")
set(GRANTLEETHEME_LIB_VERSION "5.10.3")
set(GRAVATAR_LIB_VERSION "5.10.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.10.3")
set(KCONTACTS_LIB_VERSION "5.10.3")
set(KDEPIM_APPS_LIB_VERSION "5.10.3")
set(KLDAP_LIB_VERSION "5.10.3")
set(KMAILTRANSPORT_LIB_VERSION "5.10.3")
set(KMBOX_LIB_VERSION "5.10.3")
set(KMIME_LIB_VERSION "5.10.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.10.3")
set(LIBKDEPIM_LIB_VERSION "5.10.3")
set(LIBKLEO_LIB_VERSION "5.10.3")
set(PIMCOMMON_LIB_VERSION "5.10.3")
set(GPGME_LIB_VERSION "1.8.0")
set(AKONADI_CONTACT_VERSION "5.10.3")

if (${MIMETREEPARSER_ONLY_BUILD})
   set(ECM_VERSION "5.26.0")
   set(KMIME_LIB_VERSION "5.1.40")
else()
    set(ECM_VERSION ${KF5_VERSION})
endif()

find_package(ECM ${ECM_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Messagelib_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)



find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Test)

find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(QGpgme ${GPGME_LIB_VERSION} CONFIG REQUIRED)

if (NOT ${MIMETREEPARSER_ONLY_BUILD})
   find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network PrintSupport WebEngine WebEngineWidgets)
   find_package(KF5Archive ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5ConfigWidgets ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5ItemViews ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5JobWidgets ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5Sonnet ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5TextWidgets ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
   find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)

   find_package(Grantlee5 "5.1" CONFIG REQUIRED)

   find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
   find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5AkonadiContact ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
   find_package(KF5FollowupReminder ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
   find_package(KF5SendLater ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)

   find_package(KF5AkonadiSearch "5.10.3" CONFIG REQUIRED)
   set_package_properties(KF5AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

endif()

#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()


add_subdirectory(mimetreeparser)
if (NOT ${MIMETREEPARSER_ONLY_BUILD})
   add_subdirectory(messageviewer)
   add_subdirectory(templateparser)
   add_subdirectory(messagecomposer)
   add_subdirectory(messagecore)
   add_subdirectory(messagelist)
   add_subdirectory(webengineviewer)
endif()

install( FILES messagelib.renamecategories messagelib.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kf5-messagelib (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:47 +0100

kf5-messagelib (4:18.12.3-0ubuntu1) disco; urgency=medium

  * Update symbols.
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:07:16 +0000

kf5-messagelib (4:18.04.3-0ubuntu4) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:50:04 +0000

=== debian/control ===
Source: kf5-messagelib
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               git,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:18.12.3~),
               libkf5akonadimime-dev (>= 4:18.12.3~),
               libkf5akonadinotes-dev (>= 4:18.12.3~),
               libkf5akonadisearch-dev (>= 4:18.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.12.3~),
               libkf5contacts-dev (>= 4:18.12.3~),
               libkf5followupreminder-dev (>= 4:18.12.3~),
               libkf5grantleetheme-dev (>= 18.12.3~),
               libkf5gravatar-dev (>= 4:18.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 18.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kaddressbookgrantlee-dev (>= 4:18.12.3~),
               libkf5ldap-dev (>= 18.12.3~),
               libkf5libkdepim-dev (>= 4:18.12.3~),
               libkf5libkleo-dev (>= 4:18.12.3~),
               libkf5mailtransport-dev (>= 18.12.3~),
               libkf5mbox-dev (>= 18.12.3~),
               libkf5mime-dev (>= 18.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:18.12.3~),
               libkf5pimtextedit-dev (>= 18.12.3~),
               libkf5sendlater-dev (>= 4:18.12.3~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5,
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib

Package: kf5-messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5messageviewer5 (<< 4:16.04.1), ${kde-l10n:all}
Replaces: libkf5messageviewer5 (<< 4:16.04.1), ${kde-l10n:all}
Description: KDE PIM messaging library, data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecomposer5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MessageComposer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecomposer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:18.12.3~),
         libkf5akonadimime-dev (>= 4:18.12.3~),
         libkf5followupreminder-dev (>= 4:18.12.3~),
         libkf5identitymanagement-dev (>= 18.12.3~),
         libkf5libkdepim-dev (>= 4:18.12.3~),
         libkf5libkleo-dev (>= 4:18.12.3~),
         libkf5messagecomposer5abi2 (= ${binary:Version}),
         libkf5mime-dev (>= 18.12.3~),
         libkf5pimcommon-dev (>= 4:18.12.3~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, composer devel files
 This package contains the development files for the message composer library.
 Which provides basic e-mail message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MessageCore
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libkf5messagecore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5messagecore5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, core devel files
 This package contains the development files for the message core library.
 Which provides basic e-mail message handling facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagelist5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MessageList
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmessagelist5
Replaces: libmessagelist5
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.

Package: libkf5messagelist-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5messagelist5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message list devel files
 This package contains the development files for the message list library.
 Which provides a widget for the e-mail message lists with extensive filtering,
 grouping and useful features.
 .
 This package is part of KDE PIM module.

Package: libkf5messageviewer-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 16.12.0~)
Replaces: kdepim-addons (<< 16.12.0~)
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5messageviewer5abi5
X-Debian-ABI: 5
X-CMake-Target: KF5MessageViewer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmessageviewer5abi1, libmessageviewer5abi2
Replaces: libmessageviewer5abi1, libmessageviewer5abi2
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5messageviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev,
         libkf5messageviewer5abi5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message viewer devel files
 This package contains the development files for the message viewer library.
 Which provides the implementation of a feature-rich and highly configurable
 widget for viewing e-mail messages.
 .
 This package is part of KDE PIM module.

Package: libkf5templateparser5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5TemplateParser
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5templateparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5templateparser5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, template parser devel files
 This package contains the development files for the template parser library.
 Which provides the implementation of a parser for the mail templates which
 KMail uses to enable customization of initial structure for the new, reply or
 forwarded messages.
 .
 This package is part of KDE PIM module.

Package: libkf5mimetreeparser5abi3
X-Debian-ABI: 3
X-CMake-Target: KF5MimeTreeParser
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.

Package: libkf5mimetreeparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mimetreeparser5abi3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mime Tree parser library devel files
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.

Package: libkf5webengineviewer5abi3
X-Debian-ABI: 3
X-CMake-Target: KF5WebEngineViewer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: WebEngineViewer library
 This library implements a WebEngineViewer.
 .
 This package is part of the KDE PIM module.

Package: libkf5webengineviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5webengineviewer5abi3 (= ${binary:Version}),
         qtwebengine5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Qt Web Engine Viewer devel files
 This library implements view on Qt Web Engine used by KDE PIM.
 .
 This package is part of the KDE PIM module.

## kf5-messagelib 19.04.3

=== debian/changelog ===
kf5-messagelib (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:54 +0100

kf5-messagelib (4:18.12.3-0ubuntu3) eoan; urgency=medium

  * Make _ZN9QHashData9hasShrunkEv symbol optional to prevent build
    failures

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 14 Jul 2019 12:46:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,34 +10,34 @@
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
-               libkf5akonadimime-dev (>= 4:18.12.3~),
-               libkf5akonadinotes-dev (>= 4:18.12.3~),
-               libkf5akonadisearch-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
+               libkf5akonadimime-dev (>= 4:19.04.3~),
+               libkf5akonadinotes-dev (>= 4:19.04.3~),
+               libkf5akonadisearch-dev (>= 4:19.04.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:18.12.3~),
-               libkf5contacts-dev (>= 4:18.12.3~),
-               libkf5followupreminder-dev (>= 4:18.12.3~),
-               libkf5grantleetheme-dev (>= 18.12.3~),
-               libkf5gravatar-dev (>= 4:18.12.3~),
+               libkf5contacteditor-dev (>= 4:19.04.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
+               libkf5followupreminder-dev (>= 4:19.04.3~),
+               libkf5grantleetheme-dev (>= 19.04.3~),
+               libkf5gravatar-dev (>= 4:19.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kaddressbookgrantlee-dev (>= 4:18.12.3~),
-               libkf5ldap-dev (>= 18.12.3~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5libkleo-dev (>= 4:18.12.3~),
-               libkf5mailtransport-dev (>= 18.12.3~),
-               libkf5mbox-dev (>= 18.12.3~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5kaddressbookgrantlee-dev (>= 4:19.04.3~),
+               libkf5ldap-dev (>= 19.04.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5libkleo-dev (>= 4:19.04.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
+               libkf5mbox-dev (>= 19.04.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
-               libkf5pimtextedit-dev (>= 18.12.3~),
-               libkf5sendlater-dev (>= 4:18.12.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
+               libkf5pimtextedit-dev (>= 19.04.3~),
+               libkf5sendlater-dev (>= 4:19.04.3~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -85,15 +85,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.12.3~),
-         libkf5akonadimime-dev (>= 4:18.12.3~),
-         libkf5followupreminder-dev (>= 4:18.12.3~),
-         libkf5identitymanagement-dev (>= 18.12.3~),
-         libkf5libkdepim-dev (>= 4:18.12.3~),
-         libkf5libkleo-dev (>= 4:18.12.3~),
+Depends: libkf5akonadi-dev (>= 4:19.04.3~),
+         libkf5akonadimime-dev (>= 4:19.04.3~),
+         libkf5followupreminder-dev (>= 4:19.04.3~),
+         libkf5identitymanagement-dev (>= 19.04.3~),
+         libkf5libkdepim-dev (>= 4:19.04.3~),
+         libkf5libkleo-dev (>= 4:19.04.3~),
          libkf5messagecomposer5abi2 (= ${binary:Version}),
-         libkf5mime-dev (>= 18.12.3~),
-         libkf5pimcommon-dev (>= 4:18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
+         libkf5pimcommon-dev (>= 4:19.04.3~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: KDE PIM messaging library, composer devel files

## kf5-messagelib 19.08.3

=== debian/changelog ===
kf5-messagelib (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:55:44 +0100

kf5-messagelib (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Update install files for new upstream release.
  * Delete backported patches.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:41:34 +0100

kf5-messagelib (4:18.08.3-5) unstable; urgency=medium

  [ Sandro Knauß ]
  * Remove workaround for pkg-kde-tools.
  * Update dependency for pkg-kde-tools.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:54:01 +0100

kf5-messagelib (4:18.08.3-4) experimental; urgency=medium

  [ Sandro Knauß ]
  * Add workaround for bug in pkg-kde-tools to handle virtual packages
    correctly.

 -- Sandro Knauß <hefee@debian.org>  Tue, 08 Oct 2019 00:54:36 +0200

kf5-messagelib (4:18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:43:55 +0200

=== debian/control ===
Source: kf5-messagelib
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               git,
               libgpgmepp-dev (>= 1.11.1~) | libgpgme7-dev,
               libgrantlee5-dev (>= 5.1~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadimime-dev (>= 4:19.08.3~),
               libkf5akonadisearch-dev (>= 4:19.08.3~),
               libkf5archive-dev (>= 5.60.0~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5followupreminder-dev (>= 4:19.08.3~),
               libkf5grantleetheme-dev (>= 19.08.3~),
               libkf5gravatar-dev (>= 4:19.08.3~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5itemviews-dev (>= 5.60.0~),
               libkf5jobwidgets-dev (>= 5.60.0~),
               libkf5kaddressbookgrantlee-dev (>= 4:19.08.3~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5ldap-dev (>= 19.08.3~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5libkleo-dev (>= 4:19.08.3~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5mbox-dev (>= 19.08.3~),
               libkf5mime-dev (>> 18.08.3-1),
               libkf5newstuff-dev (>= 5.1.40~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5pimtextedit-dev (>= 19.08.3~),
               libkf5sendlater-dev (>= 4:19.08.3~),
               libkf5service-dev (>= 5.60.0~),
               libkf5sonnet-dev (>= 5.60.0~),
               libkf5syntaxhighlighting-dev (>= 5.60.0~),
               libkf5textwidgets-dev (>= 5.60.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               libkf5windowsystem-dev (>= 5.60.0~),
               libkf5xmlgui-dev (>= 5.60.0~),
               libxml2-utils,
               pkg-kde-tools (>= 0.15.31),
               qtbase5-dev (>= 5.11.0~),
               qtwebengine5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/messagelib
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/messagelib.git

Package: kf5-messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM messaging library, data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecomposer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5identitymanagement-dev (>= 19.08.3~),
         libkf5libkleo-dev (>= 4:19.08.3~),
         libkf5messagecomposer5abi1 (= ${binary:Version}),
         libkf5mime-dev (>= 17.08.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, composer devel files
 This package contains the development files for the message composer library.
 Which provides basic e-mail message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecomposer5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MessageComposer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5messagecore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5messagecore5abi1 (= ${binary:Version}),
         libkf5mime-dev (>= 17.08.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, core devel files
 This package contains the development files for the message core library.
 Which provides basic e-mail message handling facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecore5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MessageCore
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5messagelist-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5messagelist5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, message list devel files
 This package contains the development files for the message list library.
 Which provides a widget for the e-mail message lists with extensive filtering,
 grouping and useful features.
 .
 This package is part of KDE PIM module.

Package: libkf5messagelist5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MessageList
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5messageviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5messagecore-dev (= ${binary:Version}),
         libkf5messageviewer5abi1 (= ${binary:Version}),
         libkf5mimetreeparser-dev (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:19.08.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, message viewer devel files
 This package contains the development files for the message viewer library.
 Which provides the implementation of a feature-rich and highly configurable
 widget for viewing e-mail messages.
 .
 This package is part of KDE PIM module.

Package: libkf5messageviewer5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MessageViewer
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5mimetreeparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mime-dev (>= 17.08.3~),
         libkf5mimetreeparser5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mime Tree parser library - devel files
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.

Package: libkf5mimetreeparser5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MimeTreeParser
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for the mime tree parser library.
Provides: ${ABI:VirtualPackage}

Package: libkf5templateparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5templateparser5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM messaging library, template parser devel files
 This package contains the development files for the template parser library.
 Which provides the implementation of a parser for the mail templates which
 KMail uses to enable customization of initial structure for the new, reply or
 forwarded messages.
 .
 This package is part of KDE PIM module.

Package: libkf5templateparser5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5webengineviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5webengineviewer5abi1 (= ${binary:Version}),
         qtwebengine5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE's Qt Web Engine Viewer - devel files
 This library implements view on Qt Web Engine used by KDE PIM.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for the Qt Web Engine Viewer.

Package: libkf5webengineviewer5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5WebEngineViewer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: KDE's Qt Web Engine Viewer
 This library implements view on Qt Web Engine used by KDE PIM.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/default.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
# The tests do not run successfully on mipsel for buster and it seems,
# that it is a RAM issue as the tests are anyways flaky,
# disable the tests for now. (hefee - 20190301)
ifeq ($(DEB_HOST_ARCH), mipsel)
	echo "tests disabled for mipsel"
else
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel
endif
